//añadir font-awesome
@import '@fortawesome/fontawesome-free/css/fontawesome.css';
@import '@fortawesome/fontawesome-free/css/regular.css';
@import '@fortawesome/fontawesome-free/css/solid.css';
@import '@fortawesome/fontawesome-free/css/brands.css';

$body-bg: #090a15;
$body-color: rgb(161, 161, 170);
$primary-color: #128b88;
$gradient-primary: linear-gradient(to right, #2d2e3d, #00c5b8 161.33%);
$gradient-secondary: linear-gradient(to right, #d1c3c3, #2cbbb2d1 161.33%);
$gradient-tertiary: linear-gradient(to right, #2d4440, #2cbbb1e3);
$gradient-active: linear-gradient(to right, #9f9f9f, #1addd0);

// Estilos para botones
.btn {
    &-primary {
        background: $gradient-primary !important;
        border-color: $primary-color !important;

        &:hover {
            background: none !important;
        }
    }
    

    &-secondary {
        background: $gradient-tertiary !important;
        border-color: $primary-color !important;

        &:hover {
            background: none !important;
        }
    }

    &-outline-primary {
        color: $body-color !important;
        background: none !important;
        border-color: $primary-color !important;

        &:hover {
            color: $body-color !important;
            background: $gradient-primary !important;
            border-color: $primary-color !important;
        }
    }
}

// Estilos para enlaces de navegación
.nav-link {
    font-size: 1.2em !important;
    color: $body-color !important;

    &:hover {
        color: #d8d3ff !important;
    }

    &.active {
        background-image: $gradient-active !important;
        -webkit-text-fill-color: transparent;
        -webkit-background-clip: text;
        background-clip: text;
    }
}

// Estilos para elementos de desplegable
.dropdown-item {
    color: #d8d3ff !important;

    &.active {
        background-color: #354f6c !important;
    }

    &:hover {
        color: white !important;
        background-color: #354f6c !important;
    }
}

// Estilos para tarjetas
.card {
    background-color: #131723 !important;
}

// Estilos para paginación
.page-link {
    &:hover, &:focus, &.active {
        background: $gradient-primary !important;
        border-color: $body-color !important;
        color: $body-color !important;
    }

    &:focus {
        box-shadow: none !important;
    }
}

.page-link.active, .active > .page-link {
    color: $body-color !important;
    background: $gradient-primary !important;
    border-color: $body-color !important;
}

.page-item {
    &.disabled .page-link {
        background: $gradient-primary !important;
        border-color: $body-color !important;
        color: $body-color !important;
    }
}

// Importación de estilos de Bootstrap
@import 'bootstrap/scss/bootstrap';

.imagen-landing {
    position: relative;
    background-image: url("/public/imgs/landing-page.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.animacion-landing-page {
    overflow: hidden;
    position: relative;
}

.tiendas-container {
    display: flex;
    will-change: transform;
    animation: desplazamiento 45s linear infinite;
    position: relative;
}

@keyframes desplazamiento {
    from { transform: translateX(-100%); }
    to { transform: translateX(100%); }
}

.animacion-landing-page::before {
    content: "";
    position: absolute;
    width: 22%;
    pointer-events: none;
    height: 100%;
    z-index: 10;
    top: 0;
    left: 0;
    background: linear-gradient(90deg, $body-bg 0, transparent 15%);
}

.animacion-landing-page::after {
    content: "";
    position: absolute;
    width: 6%;
    pointer-events: none;
    height: 100%;
    z-index: 10;
    top: 0;
    right: 0;
    background: linear-gradient(to left, $body-bg, transparent);
}

.title-landing {
    font-family: Raleway;
    font-size: 60px;
    font-weight: 700;
    grid-area: auto;
}

.text-gradient-primary {
    background-image: $gradient-primary;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.text-gradient-secondary {
    background-image: $gradient-secondary;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.gradient-header {
    background-image: radial-gradient(80% 50% at 50% -20%, rgb(6 48 91), hsla(0, 0%, 100%, 0));
}

.gradient-header2 {
    background-image: radial-gradient(85% 100% at 55% -20%, rgb(67 101 137), hsla(0, 0%, 100%, 0));
}

.gradient-footer {
    background-image: radial-gradient(50% 100% at 50% 100%, rgb(37 65 93), hsla(0, 0%, 100%, 0));
}

// Gradientes para tarjetas
.gradient-for-card-tb {
    background-image: $gradient-primary;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    min-width: 100%;
    min-height: 4px;
}

.gradient-for-card-se {
    background-image: linear-gradient(to right, #3cb1928c, rgb(11 201 189 / 82%) 161.33%);
    border-radius: 5px;
    padding-left: 2px;
    padding-right: 2px;
}